Jump to content

Invalid Vatsim data file version


Recommended Posts

From 1 April Euroscope gives this error when it tries to load the ipaddr.txt file.

Is there an update for this file, or a new list of servers please ?

Edited by Guest
Link to post
Share on other sites

 

The problem is, the datafiles has been changed recently. The change is something that Euroscope doesn't like, and therefore either the datafile must be changed again - or there is a need for an update to Euroscope in order to accept the new datafile. Currently there is no solution, we'll have to wait for now it seems.

 

Morten Jelle

VATSIM Network Senior Supervisor
VATSIM Membership Manager, Asia/Pacific Region

spacer.png

Link to post
Share on other sites

Pretty sure EuroScope will get an update for this.

About QuteScoop - last update was the beta in january 2013. I also like it, but without development it'll eventually take the same path as the old pilot and controller clients. There will be a reason for the changes.

Link to post
Share on other sites
20 minutes ago, Alex Amorianos said:

Not for Mac though...

Yes, I assume that the member who has fixed the Windows version of swift, does not use Mac and therefore cannot fix and compile it. If you know someone who could fix the Mac version, let us know!

Link to post
Share on other sites

With the latest Euroscope Beta I can see no Error regarding the datafile version. Probably give that a go?

  [09:19:48] Info: Loading server data from C:\Users\User\Documents\EuroScope\ipaddr.txt file ...
  [09:19:48] Info: Loading server data from C:\Users\User\Documents\EuroScope\myipaddr.txt file ...
  [09:19:48] Info: No additional servers file available
  [09:19:51] Info: Downloading http://status.vatsim.net/ ...
  [09:19:52] Info: VATSIM status downloaded with 1 server URLs and 1 data URLs
  [09:19:53] Info: Selected server URL: http://cluster.data.vatsim.net/vatsim-servers.txt
  [09:19:54] Info: Selected data URL: http://cluster.data.vatsim.net/vatsim-data.txt
  [09:19:55] Info: 11 VATSIM servers are available
  [09:19:55] Info: Loading server data from C:\Users\User\Documents\EuroScope\ipaddr.txt file ...
  [09:20:10] Info: Downloading http://www.euroscope.hu/install/version.txt ...
  [09:20:10] Info: http://www.euroscope.hu/install/version.txt downloaded.
  [09:20:10] Info: You have the latest beta release.

 

Anastasios Mpithas

Hellenic vACC member

C1/P1-2-3-4

Link to post
Share on other sites

That's weird. When I open the LGGG profiles, no errors appear, yet when I open HungarianMatias (the default one) the error appears. I will try to figure out what's different.

EDIT: If you untick the  "Show simulated traffic" under Quick Settings and save the changes the error will not be shown. That doesn't fix the core problem but gets rid of the error.

955687568_.png.14ac62ba6283d817675bfb72642846ae.png

Edited by Anastasios Mpithas
Found the reason

Anastasios Mpithas

Hellenic vACC member

C1/P1-2-3-4

Link to post
Share on other sites
34 minutes ago, Anastasios Mpithas said:

If you untick the  "Show simulated traffic" under Quick Settings and save the changes the error will not be shown. That doesn't fix the core problem but gets rid of the error.

Sure. It won't download the file in that case 🙂

Link to post
Share on other sites
5 minutes ago, Andreas Fuchs said:

How do you change this?

I got the latest status file from http://cluster.data.vatsim.net/vatsim-data.txt and just changed the VERSION from 9 to 8. Then it was a matter of opening a http server on localhost and pointing ES at it.

This can be automated with a simple script, I will see if I can do something.

568728278_.png.ccda25a73d933be8db0f661ec29e18cc.png

  • Like 1

Anastasios Mpithas

Hellenic vACC member

C1/P1-2-3-4

Link to post
Share on other sites

At least we found the reason. Thanks @Anastasios Mpithas

Its a static file per download so unless it could be updated as "VERSION=8" each time, or Eursocope could be updated to accept "VERSION=9" it would not help.

I have emailed the network team again hopefully to get some response.

Is it a network issue or a Euroscope issue to be honest ?

If its the latter @Gergely Csernak 904331 please have a look 😉

spacer.png

Hellenic vACC | Olympic Air Virtual

Europe Region Director 2001-2011

Pilot: P5 | ATC: C3

Link to post
Share on other sites

I have made a simple python script that requests the vatsim-data.txt every 1 minute from VATSIM data-file, changes the VERSION number, and opens up a local HTTP server so that Euroscope can access it. That server is hosted on port 80, I couldn't get ES to work with any other port.

You will need to install the "requests" library.

Tested in Python 3.8

Use at your own risk.

https://gist.github.com/tasosb/7fd8a4138fde63ec33864ed398ba85f5

Don't forget to update your Euroscope Settings (General Settings => Page 2)

Of course if anyone has a better idea, feel free to improve/change it.

1506224726_.thumb.png.8aa165d19a738dd21a6950fa1c5f1e05.png

Anastasios Mpithas

Hellenic vACC member

C1/P1-2-3-4

Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
×
×
  • Create New...